%define libtool 0
%define DATE %{nil}

Name: kdeedu
Version: 3.0.5a
Summary: Educational/Edutainment applications for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%if "%{DATE}" == ""
Release: 0.73.0
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/%{name}-%{version}.tar.bz2
Patch: kdeedu-3.0.1-destdir.patch
%else
Release: 0.cvs%{DATE}.1
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/%{name}-%{DATE}.tar.bz2
%endif

BuildRequires: kdelibs-devel

%description
Educational/Edutainment applications for KDE

%package -n keduca
Summary: Tests and Exams
Group: User Interface/Desktops

%description -n keduca
Tests and Exams

%package -n kgeo
Summary: Interactive Geometry
Group: User Interface/Desktops

%description -n kgeo
Interactive Geometry

%package -n klettres
Summary: French alphabet tutor
Group: User Interface/Desktops

%description -n klettres
French alphabet tutor

%package -n kmessedwords
Summary: Letter Order Game
Group: User Interface/Desktops

%description -n kmessedwords
Letter Order Game

%package -n kstars
Summary: Desktop Planetarium
Group: User Interface/Desktops

%description -n kstars
Desktop Planetarium

%package -n ktouch
Summary: Touch Typing Tutor
Group: User Interface/Desktops

%description -n ktouch
Touch Typing Tutor

%package -n kvoctrain
Summary: Vocabulary Trainer
Group: User Interface/Desktops

%description -n kvoctrain
Vocabulary Trainer

%prep
%if "%{DATE}" == ""
%setup
%patch -p1 -b .makefile
%else
%setup -n %{name}
%endif

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --includedir=%{_includedir}/kde

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Work around automake bug
cd $RPM_BUILD_ROOT%{_bindir}
for i in *-linux-*; do
   mv $i `echo $i | sed -e 's,.*-linux-,,'`
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%files -n keduca
%defattr(-,root,root)
%{_bindir}/keduca
%{_datadir}/applnk/Edutainment/keduca.desktop
%{_datadir}/apps/keduca
%{_datadir}/mimelnk/application/x-edu.desktop
%{_datadir}/icons/*/*/*/keduca*

%files -n kgeo
%defattr(-,root,root)
%{_bindir}/kgeo
%{_datadir}/applnk/Edutainment/kgeo.desktop
%{_datadir}/apps/kgeo
%{_datadir}/icons/*/*/*/kgeo*
%doc %{_docdir}/HTML/en/kgeo

%files -n klettres
%defattr(-,root,root)
%{_bindir}/klettres
%{_datadir}/apps/klettres
%{_datadir}/icons/*/*/*/klettres*
%{_datadir}/applnk/Edutainment/French
%doc %{_docdir}/HTML/en/klettres

%files -n kmessedwords
%defattr(-,root,root)
%{_bindir}/kmessedwords
%{_datadir}/applnk/Edutainment/kmessedwords.desktop
%{_datadir}/apps/kmessedwords
%{_datadir}/icons/*/*/*/kmessedwords*

%files -n kstars
%defattr(-,root,root)
%{_bindir}/kstars
%{_datadir}/applnk/Edutainment/kstars.desktop
%{_datadir}/apps/kstars
%{_datadir}/icons/*/*/*/kstars*
%doc %{_docdir}/HTML/en/kstars

%files -n ktouch
%defattr(-,root,root)
%{_bindir}/ktouch
%{_datadir}/applnk/Edutainment/ktouch.desktop
%{_datadir}/apps/ktouch
%{_datadir}/icons/*/*/*/ktouch*
%doc %{_docdir}/HTML/en/ktouch

%files -n kvoctrain
%defattr(-,root,root)
%{_bindir}/kvoctrain
%{_bindir}/*kvtml
%{_datadir}/applnk/Edutainment/kvoctrain.desktop
%{_datadir}/apps/kvoctrain
%{_datadir}/icons/*/*/*/kvoctrain*
%{_datadir}/icons/kvoctrain*
%doc %{_docdir}/HTML/en/kvoctrain

%changelog
* Thu Dec 26 2002 Than Ngo <than@redhat.com> 3.0.5a-0.73.0
- 3.0.5a

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
